### Virtual Method

# Atk Text scroll_substring_to_point

since: 2.32

#### Declaration [src]

    gboolean
    scroll_substring_to_point (
      AtkText* text,
      gint start_offset,
      gint end_offset,
      AtkCoordType coords,
      gint x,
      gint y
    )

#### Description [src]

Move the top-left of a substring of `text` to a given position of the screen by scrolling all necessary parents.

Available since: 2.32

#### Parameters

`start_offset`

  Type: `gint`

  Start offset in the `text`.

`end_offset`

  Type: `gint`

  End offset in the `text`, or -1 for the end of the text.

`coords`

  Type: `AtkCoordType`

  Specify whether coordinates are relative to the screen or to the parent object.

`x`

  Type: `gint`

  X-position where to scroll to.

`y`

  Type: `gint`

  Y-position where to scroll to.

#### Return value

Type: `gboolean`

Whether scrolling was successful.